Loading...
Searching...
No Matches
ec_log_type Struct Reference
Log

A structure describing a log type. More...

`#include <ecoli/log.h>`

## Data Fields

enum ec_log_level | level
| The log level for this type.
int | id
| The log identifier.

## Detailed Description

A structure describing a log type.

It is defined as a static structure by the EC_LOG_TYPE_REGISTER() macro.

Definition at line 45 of file log.h.

## Field Documentation

## level

enum ec_log_level ec_log_type::level

The log level for this type.

Definition at line 48 of file log.h.

## id

int ec_log_type::id

The log identifier.

Definition at line 49 of file log.h.

The documentation for this struct was generated from the following file:

- ecoli/log.h